Skip to main content

Address Validation API

Validate and standardize shipping addresses before creating labels.

Validate address

POST /v1/addresses/validate

Request body

FieldTypeRequiredDescription
street1stringYesStreet address
street2stringNoApt/Suite
citystringYesCity
statestringYesState/province
zipstringYesPostal code
countrystringYesCountry code

Response

{
"isValid": true,
"standardized": {
"street1": "456 OAK AVE",
"city": "PORTLAND",
"state": "OR",
"zip": "97201-5723",
"country": "US"
},
"corrections": [
{ "field": "zip", "original": "97201", "corrected": "97201-5723" }
],
"residential": true
}

Validation results

FieldDescription
isValidWhether the address is deliverable
standardizedUSPS-standardized address
correctionsList of corrections applied
residentialWhether the address is residential (affects carrier pricing)